use crate::{Clause, Input, Pattern};

pub struct Action {
    pub name: String,
    pub patterns: Vec<Pattern>,
    pub clauses: Vec<Clause>,
}

impl Action {
    pub fn matches(&self, input: &Input) -> bool {
        for pattern in &self.patterns {
            if pattern.matches(input) {
                return true;
            }
        }
        return false;
    }
}
