use super::Word;
use std::fmt::{Display, Formatter};

pub struct Input {
    words: Vec<Word>,
}
impl Input {
    pub fn parse(input: &str) -> Self {
        Self {
            words: Word::parse_many(input),
        }
    }

    pub fn words(&self) -> &[Word] {
        &self.words
    }
}
impl Display for Input {
    fn fmt(&self, f: &mut Formatter) -> Result<(), std::fmt::Error> {
        let string = self
            .words
            .iter()
            .map(|word| word.as_str())
            .collect::<Vec<&str>>()
            .join(" ");
        write!(f, "{}", string)
    }
}
