use crate::Attributes;

pub struct Condition {
    attribute: String,
    value: String,
}

impl Condition {
    pub fn parse(content: &str) -> Self {
        if let Some((key, value)) = content.split_once('=') {
            Self {
                attribute: key.trim().to_string(),
                value: value.trim().to_string(),
            }
        } else {
            panic!("Can't parse condition: {}", content);
        }
    }

    pub fn evaluate(&self, attributes: &mut Attributes) -> bool {
        attributes.get(&self.attribute) == &self.value
    }
}
