use midnight::Game;
use std::net::{Ipv4Addr, SocketAddr, SocketAddrV4};
use std::path::PathBuf;
use vagabond as vg;
use wetstring_http::*;

switches::generate! {
    Args {
        game_directory: PathBuf ("-g", "--game-directory"),
        saves_directory: PathBuf ("-s", "--saves-directory"),
        port: u16 ("-p", "--port"),
    }
}

fn main() {
    env_logger::init();

    let args = Args::parse_and_raise();
    let game_directory = vg::Entry::from_path(args.game_directory).unwrap();
    let saves_directory = vg::Entry::from_path(args.saves_directory).unwrap();
    let game = Game::new(game_directory, saves_directory);

    let mut server = HttpServer::new(
        SocketAddr::V4(SocketAddrV4::new(Ipv4Addr::new(0, 0, 0, 0), args.port)),
        game,
    );
    server.run();
}
