use crate::Attributes;
use log::debug;

pub struct Mutation {
    pub attribute: String,
    pub new_value: String,
}

impl Mutation {
    pub fn parse(content: &str) -> Self {
        if let Some((key, value)) = content.split_once(':') {
            Self {
                attribute: key.trim().to_string(),
                new_value: value.trim().to_string(),
            }
        } else {
            panic!("Can't parse pattern: {}", content);
        }
    }

    pub fn apply(&self, attributes: &mut Attributes) {
        debug!(
            "Applying mutation: '{}', '{}'",
            self.attribute, self.new_value
        );
        attributes.set(&self.attribute, &self.new_value);
    }
}
